Bug 522482 - Review Request: hunspell-om - Oromo hunspell dictionaries
Summary: Review Request: hunspell-om - Oromo hunspell dictionaries
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-10 13:38 UTC by Caolan McNamara
Modified: 2009-10-22 09:08 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-10-22 09:08:00 UTC
panemade: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Caolan McNamara 2009-09-10 13:38:42 UTC
Spec URL: http://people.redhat.com/caolanm/rpms/hunspell-om.spec
SRPM URL: http://people.redhat.com/caolanm/rpms/hunspell-om-0.20090414-1.fc11.src.rpm
Description: Oromo hunspell dictionaries

Comment 1 Parag AN(पराग) 2009-09-14 08:17:04 UTC
Review:
+ package builds in mock (rawhide i686).
koji Build =>http://koji.fedoraproject.org/koji/taskinfo?taskID=1676190
+ rpmlint is silent for SRPM and for RPM.
+ package meets naming and packaging guidelines.

unable to verify source.

Comment 2 Caolan McNamara 2009-09-16 07:53:18 UTC
Looks like I jumped the gun on this one. Its listed at http://borel.slu.edu/crubadan/apps.html but the .zip has gone away again for now. Asking around it seems that the .zip was an early package and the current status is "I'll let you know if [my collaborators] have something suitable for release."

We could close this as CANTFIX for now and re-open when the status changes upstream.

Comment 3 Parag AN(पराग) 2009-09-17 04:51:21 UTC
Ok. Unfortunately I have to close this bug as unable to find/verify upstream source.

Thanks for your submission.

Comment 4 Caolan McNamara 2009-10-17 09:08:27 UTC
A more recent version has reappeared upstream

SPEC: http://people.redhat.com/caolanm/rpms/hunspell-om.spec
SRPM: http://people.redhat.com/caolanm/rpms/hunspell-om-0.20091002-1.fc11.src.rpm

Comment 5 Parag AN(पराग) 2009-10-21 06:39:50 UTC
Review:
+ package builds in mock (F-13 i686).
koji Build =>http://koji.fedoraproject.org/koji/taskinfo?taskID=1758810
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url (sha1sum)
4ce87e212eb3a809a2a109a43e3e32213285f0da  om_ET.zip
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ Not a GUI application

APPROVED.

Comment 6 Caolan McNamara 2009-10-21 06:54:54 UTC
New Package CVS Request
=======================
Package Name: hunspell-or
Short Description: Oromo hunspell dictionaries
Owners: caolanm
Branches: devel
InitialCC:

Comment 7 Kevin Fenzi 2009-10-22 04:39:04 UTC
I assume you meant hunspell-om here?

cvs done.


Note You need to log in before you can comment on or make changes to this bug.